Skip to main content
POST
Create Promotion Stack

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

campaignId
string
required

Unique campaign ID.

Example:

"camp_rRsfatlwN7unSeUIJDCYedal"

Body

application/json

Specify the order of promotion tiers for the promotion stack.

Request body schema for POST v1/promotions/{campaignId}/stacks.

name
string
required

Promotion stack name.

tiers
object
required

Contains the tier configuration. A promotion stack can include up to 30 tiers.

category_id
string

Promotion stack category ID.

Response

Returns a new stack object if a valid promotion campaign identifier was provided in the path and available promotion IDs in the payload.

Response body schema for POST v1/promotions/{campaignId}/stacks.

name
string
required

Promotion stack name.

tiers
object
required

Contains the tier configuration. A promotion stack can include up to 30 tiers.

id
string
required

Unique promotion stack ID.

created_at
string<date-time>
required

Timestamp representing the date and time when the promotion stack was created. The value is shown in the ISO 8601 format.

campaign_id
string
required

Promotion stack's parent campaign's unique ID.

object
enum<string>
default:promotion_stack
required

The type of the object represented by JSON.

Available options:
promotion_stack
category_id
string | null
required

Promotion stack category ID.

categories
Promotion Stack Base · object[]
required

Details about the category assigned to the promotion stack.

Last modified on July 7, 2026